Bug 1288669 - [abrt] gedit: _gtk_widget_get_toplevel(): gedit killed by SIGSEGV
[abrt] gedit: _gtk_widget_get_toplevel(): gedit killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e09e35d7a5813ce18467a197090...
:
: 1306799 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 18:18 EST by Adam Williamson
Modified: 2016-02-11 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:47:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.47 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: core_backtrace (3.25 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: dso_list (13.27 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: environ (3.01 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: maps (56.59 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: mountinfo (3.93 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: open_fds (1.05 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-12-04 18:18 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-12-04 18:18:24 EST
Description of problem:
Ran gedit, pasted some text, then quit. It seems to crash like this quite often (but not quite 100% of the time) on exit.

Version-Release number of selected component:
gedit-3.18.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gedit
crash_function: _gtk_widget_get_toplevel
executable:     /usr/bin/gedit
global_pid:     3382
kernel:         4.4.0-0.rc3.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _gtk_widget_get_toplevel at gtkwidgetprivate.h:369
 #1 gtk_widget_get_scale_factor at gtkwidget.c:10963
 #2 gtk_css_widget_node_get_style_provider at gtkcsswidgetnode.c:244
 #3 gtk_css_node_get_style_provider_or_null at gtkcssnode.c:103
 #4 gtk_css_node_invalidate_style_provider at gtkcssnode.c:1279
 #9 _gtk_style_provider_private_changed at gtkstyleproviderprivate.c:113
 #10 _gtk_style_cascade_remove_provider at gtkstylecascade.c:381
 #11 gtk_style_context_remove_provider_for_screen at gtkstylecontext.c:724
 #12 gedit_app_dispose at gedit/gedit-app.c:197
Comment 1 Adam Williamson 2015-12-04 18:18:28 EST
Created attachment 1102454 [details]
File: backtrace
Comment 2 Adam Williamson 2015-12-04 18:18:29 EST
Created attachment 1102455 [details]
File: cgroup
Comment 3 Adam Williamson 2015-12-04 18:18:30 EST
Created attachment 1102456 [details]
File: core_backtrace
Comment 4 Adam Williamson 2015-12-04 18:18:32 EST
Created attachment 1102457 [details]
File: dso_list
Comment 5 Adam Williamson 2015-12-04 18:18:33 EST
Created attachment 1102458 [details]
File: environ
Comment 6 Adam Williamson 2015-12-04 18:18:34 EST
Created attachment 1102459 [details]
File: exploitable
Comment 7 Adam Williamson 2015-12-04 18:18:35 EST
Created attachment 1102460 [details]
File: limits
Comment 8 Adam Williamson 2015-12-04 18:18:36 EST
Created attachment 1102461 [details]
File: maps
Comment 9 Adam Williamson 2015-12-04 18:18:37 EST
Created attachment 1102462 [details]
File: mountinfo
Comment 10 Adam Williamson 2015-12-04 18:18:38 EST
Created attachment 1102463 [details]
File: namespaces
Comment 11 Adam Williamson 2015-12-04 18:18:40 EST
Created attachment 1102464 [details]
File: open_fds
Comment 12 Adam Williamson 2015-12-04 18:18:41 EST
Created attachment 1102465 [details]
File: proc_pid_status
Comment 13 Adam Williamson 2015-12-04 18:18:42 EST
Created attachment 1102466 [details]
File: var_log_messages
Comment 14 Kalev Lember 2015-12-07 11:47:35 EST
https://bugzilla.gnome.org/show_bug.cgi?id=759132 should fix this
Comment 15 yucef sourani 2016-02-11 12:57:09 EST
*** Bug 1306799 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.